Package com.microblink.blinkid.fragment

# Interface LifecycleObserver

public interface LifecycleObserver
Observer that can observe lifecycle events of `RecognizerRunnerFragment`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onConfigurationChanged(android.content.res.Configuration newConfig)`
  Called after `RecognizerRunnerFragment.onConfigurationChanged(Configuration)`.
  `void`
  `onCreate(android.os.Bundle savedInstanceState)`
  Called after `RecognizerRunnerFragment.onCreate(Bundle)`.
  `void`
  `onDestroy()`
  Called after `RecognizerRunnerFragment.onDestroy()`.
  `void`
  `onPause()`
  Called after `RecognizerRunnerFragment.onPause()`.
  `void`
  `onResume()`
  Called after `RecognizerRunnerFragment.onResume()`.
  `void`
  `onSaveInstanceState(android.os.Bundle outState)`
  Called after `RecognizerRunnerFragment.onSaveInstanceState(Bundle)`,
  `void`
  `onStart()`
  Called after `RecognizerRunnerFragment.onStart()`.
  `void`
  `onStop()`
  Called after `RecognizerRunnerFragment.onStop()`.

- ## Method Details

  - ### onCreate

    void onCreate(@Nullable android.os.Bundle savedInstanceState)
    Called after `RecognizerRunnerFragment.onCreate(Bundle)`.
    Parameters:
      `savedInstanceState` - state from which fragment is restored

  - ### onStart

    void onStart()
    Called after `RecognizerRunnerFragment.onStart()`.

  - ### onResume

    void onResume()
    Called after `RecognizerRunnerFragment.onResume()`.

  - ### onPause

    void onPause()
    Called after `RecognizerRunnerFragment.onPause()`.

  - ### onStop

    void onStop()
    Called after `RecognizerRunnerFragment.onStop()`.

  - ### onDestroy

    void onDestroy()
    Called after `RecognizerRunnerFragment.onDestroy()`.

  - ### onConfigurationChanged

    void onConfigurationChanged(@Nullable android.content.res.Configuration newConfig)
    Called after `RecognizerRunnerFragment.onConfigurationChanged(Configuration)`.
    Parameters:
      `newConfig` - The new device configuration.

  - ### onSaveInstanceState

    void onSaveInstanceState(@Nullable android.os.Bundle outState)
    Called after `RecognizerRunnerFragment.onSaveInstanceState(Bundle)`,
    Parameters:
      `outState` - Bundle in which to place your saved state.